YPWHICH(1)

NAME
ypwhich - return hostname of YP server of map master

SYNOPSIS
ypwhich [-d domain] [ [-h] host]
[-d domain] [-h host] [-f] [-t] -m [mname]
-x

DESCRIPTION
ypwhich tells which YP server supplies YP services to a client, or which is the master for a map. If invoked without arguments, it gives the YP server for the local machine. If host is specified, that machine is queried to find out which YP server it is using.

The options are as follows:

-d domain
    Specify a domain other than the default domain.

-h host
    Specify a host other than localhost to query for information.

-f  When used in conjunction with -m, force ypwhich to query host directly, without using the local copy of ypbind(8).

-t  Inhibit translation of map nicknames to their corresponding map names.

-m [mname]
    Find the master YP server for the named map. mname can be a map name or nickname. If mname is ommitted, ypwhich will produce a list of available maps.

-x  Display the map nickname table.

ypwhich exits with a non-zero exit code if -m is used, and there was a problem in determining the map's master.

SEE ALSO
domainname(1), ypcat(1), ypmatch(1), yp(8), ypbind(8), yppoll(8), ypset(8)

AUTHOR
Charles D. Cranor